The Order Completed endpoint accepts the final details of the shopper's order, screens the order details for denied parties, and returns the results along with a Zonos-specific order ID.
POST | https://api.iglobalstores.com/2.0/order-completed - Create a new request for information related to a completed order.
HTTPS request
Field↕
Notes↕
HTTP method
POST
Endpoint URL
https://api.iglobalstores.com/2.0/order-completed
Protocol
HTTPS
Message format
JSON
Accept HTTP header
Accept: application/json
Security token HTTP header
serviceToken: your-test-token-valueAdd a header to your HTTPS request named serviceToken with a value of your test security API token. (Contact your Account Manager for this token.)
Content-Type HTTP header
Content-Type: application/jsonBecause you will be posting JSON data to the service, add a header to your HTTPS request named Content-Type with a value of application/json
This is the billing address of the order.This is a map containing the following address fields: address1, address2, address3, city, state, stateCode, postalCode, and countryCode. These contained fields are either required or not required based on the country. The localization endpoint returns which specific address fields are required or not for each country. Note: stateCode is always not required and not declared in the localization endpoint. You may pass stateCode, if available.
billingCompany OPTIONAL
This is the billing company name of the order.
billingEmail REQUIRED
This is the billing email address of the order.
billingName REQUIRED
This is the complete billing name of the order.
billingPhone REQUIRED
This is the billing phone number of the order.
items[index].orderGrandTotal REQUIRED
This is the grand total paid by the shopper for their order in USD (US Dollars). Please provide without commas, without a dollar sign “$”, and with two decimal places.Example value: 2102.99
items[index].orderNumber REQUIRED
This is your order number for the newly completed order.Example value: 854725421
paymentTypeCode REQUIRED
The payment method used by the shopper to pay for their order.Example values: PayPal or Visa or MC or AMEX or DISC
prepaidDutyTax REQUIRED
Did the shopper elect to prepay their import duties and taxes or were they forced to prepay them? If so, set to true; if not, set to false.Example values: true or false
shippingQuoteId REQUIRED
This is the ID of the shipping quote the shopper chose.The cart details need to be the same as they were when the shipping quotes were retrieved. If the cart details have changed, then you should have called for new shipping quotes before completing the shopper’s order.
shipToCompany OPTIONAL
This is the company name of the individual who will receive the shipped order.
shipToEmail REQUIRED
This is the email address of the individual who will receive the shipped order.
shipToName REQUIRED
This is the complete name of the individual who will receive the shipped order.
shipToPhone REQUIRED
This is the phone number of the individual who will receive the shipped order.
HTTPS response
Message format: JSON
Example response for only Canada & Australia
Note: Actual responses will contain all supported countries.
This is a map of the denied party screening results.If set to null, then the denied party screening wasn’t performed. Contact your Zonos rep if you encounter this.
deniedParty.flagged
Whether or not this order has matched a record in the Zonos denied party consolidated lists.If true, review this order before processing. When in doubt, don’t process an order that is flagged true.Example values: true or false
deniedParty.source
If the flagged field was set to true, this field will hold source references useful in reviewing why the order was flagged as matching a denied party.
igOrderId
Zonos identifier for the newly completed order.Example value: e55a4efc-e615-49af-b3a4-afcda87e9e5e
Order Completed API Legacy
Order Completed API Legacy
Learn how the legacy Order Complete API works.The Order Completed endpoint accepts the final details of the shopper's order, screens the order details for denied parties, and returns the results along with a Zonos-specific order ID.
Endpoints
Request order completed details
POST |
https://api.iglobalstores.com/2.0/order-completed- Create a new request for information related to a completed order.HTTPS request
https://api.iglobalstores.com/2.0/order-completedJSON key/value pairs in the request body
Message Format: JSON
{"billingAddress": {"address1": "123 S West Elm St","address2": null,"address3": null,"city": "Calgary","countryCode": "CA","postalCode": "T2P 5G8","state": "Alberta","stateCode": null},"billingCompany": null,"billingEmail": "jdoe@jdoe.com","billingName": "John E. Doe","billingPhone": "+1 555-555-5555","orderGrandTotal": 1225.89,"orderNumber": "854725421","paymentTypeCode": "PAYPAL","prepaidDutyTax": true,"shippingQuoteId": "bcdbdbcd-0145-4d3b-a54e-0de3cdce5a0a","shipToCompany": null,"shipToEmail": "jdoe@jdoe.com","shipToName": "John Doe","shipToPhone": "+1 555-555-5555"}Request JSON definitions
billingAddressREQUIREDaddress1,address2,address3,city,state,stateCode,postalCode, andcountryCode. These contained fields are either required or not required based on the country. The localization endpoint returns which specific address fields are required or not for each country. Note:stateCodeis always not required and not declared in the localization endpoint. You may passstateCode, if available.billingCompanyOPTIONALbillingEmailREQUIREDbillingNameREQUIREDbillingPhoneREQUIREDitems[index].orderGrandTotalREQUIREDitems[index].orderNumberREQUIREDpaymentTypeCodeREQUIREDPayPalorVisaorMCorAMEXorDISCprepaidDutyTaxREQUIREDshippingQuoteIdREQUIREDshipToCompanyOPTIONALshipToEmailREQUIREDshipToNameREQUIREDshipToPhoneREQUIREDHTTPS response
Message format: JSON
Example response for only Canada & Australia
{"igOrderId": "e55a4efc-e615-49af-b3a4-afcda87e9e5e","deniedParty": {"flagged": true,"source": "source reference for review"}}Response JSON definitions
deniedPartydeniedParty.flaggeddeniedParty.sourceigOrderIde55a4efc-e615-49af-b3a4-afcda87e9e5eWas this page helpful?